Bug 588343 - GNOME clock applet left-click menu displays in the wrong place with Compiz enabled and bottom-oriented panel
GNOME clock applet left-click menu displays in the wrong place with Compiz en...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
: 582198 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 10:12 EDT by Adam Williamson
Modified: 2011-06-27 12:03 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen-shot showing applet placement of various instances of the applet, each with a different height (533.65 KB, image/png)
2010-05-19 17:02 EDT, Jeff Raber
no flags Details

  None (edit)
Description Adam Williamson 2010-05-03 10:12:05 EDT
Graphics card - 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)

With Compiz enabled, and a single (32 pixel) panel at the _bottom_ of the screen (classic Win98-style layout), left-clicking the clock applet renders the resulting widget (should show a location selection panel and a calendar) off the top-right hand corner of the screen, so only the bottom 1/3rd or so (most of the calendar) is visible. It should display immediately above the clock itself (right above the panel).

With Compiz disabled, or with Compiz enabled but with the panel at the top of the screen, it works correctly.

Confirmed by jlaska on an NVIDIA card, so this is not hardware-specific, assigning to Compiz.
Comment 1 Jeff Raber 2010-05-19 16:57:46 EDT
Reproducible on an ATI Technologies Inc RS690M [Radeon X1200 Series] [1002:791f] using the same method.  

The horizontal placement of the applet seems to be dependent on the vertical height of the rendering.  Adding more locations (or otherwise making the rendering 'taller') results in the applet being placed higher on the screen.  Using fewer locations or collapsing the locations section results in the applet being placed closer to the bottom of the screen.

My measurements show that the TOP edge of the rendering is placed at (RenderingHeight*2 - ToolbarHeight) pixels up from the bottom of the screen.

Screen-shot to follow.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Jeff Raber 2010-05-19 17:02:26 EDT
Created attachment 415262 [details]
Screen-shot showing applet placement of various instances of the applet, each with a different height

Strike the word 'horizontal' from the previous comment.
Comment 3 JimmyMa 2010-05-27 06:42:23 EDT
I add 4 citys in the applet and now i even cannot see part of the calendar.

mine is GM45,intel x4500mhd,with panel on botton and compiz enabled.

my resolution is 1280x800.
Comment 4 Felix Kaechele 2010-05-30 08:34:01 EDT
Confirmed on 00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
Comment 5 Adel Gadllah 2010-05-31 10:34:52 EDT
After discussing it with upstream we come to the conclusion that:

"it's a panel bug ... it's placing the calendar window to 1412/-170 (on my 1680x1050 monitor), and compiz is not touching this position as it's a dock window"

Reassigning to gnome-panel ...
Comment 6 Adel Gadllah 2010-05-31 11:00:51 EDT
More info from the IRC conversation:
---------------
<maniac103> drago01: no, I was wrong
<maniac103> drago01: it's placing itself to 1412/428, and after applying the gravity this becomes 1412/-170
<maniac103> drago01: now it gets weird: xwininfo says the window has NorthWestGravity, but compiz thinks it has SouthWestGravity
<maniac103> the difference between those two is a vertical shift of the window size
<maniac103> 1
<maniac103> and xprop agrees with compiz
<maniac103> drago01: in that case, compiz works correctly (the app says: place my lower left corner to 1412/428)
<maniac103> drago01: they should just set StaticGravity and be done with it
---------------
Comment 7 Jeff Raber 2010-11-08 02:10:54 EST
*** Bug 582198 has been marked as a duplicate of this bug. ***
Comment 8 Jeff Raber 2010-11-08 02:12:21 EST
I don't see this behavior in F14.  Anyone have a F13 box that they can test to see if this issue is resolve there as well?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 George C 2010-11-08 02:35:08 EST
Issue still occurs on F13. 
gnome-2.30.0-1

It appears to be fixed in F14 in my installation.
Comment 10 Adam Williamson 2010-11-08 18:18:34 EST
I switched to gnome-shell and have no f13 machines, but setting to 13 based on George's feedback.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Massimiliano 2011-02-02 07:26:57 EST
The same issue in my F13, just updated.
Comment 12 Bug Zapper 2011-06-02 10:33:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 12:03:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.